> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get info about crypto transfer



## OpenAPI

````yaml get /info
openapi: 3.1.0
info:
  title: Crypto Exchange API
  description: Crypto Exchange API
  version: 1.0.0
servers:
  - url: https://api.sandbox1-dev.finhost.io/crypto-exchange
  - url: https://api.sandbox1-stage.finhost.io/crypto-exchange
security: []
tags:
  - name: default
  - name: orders
paths:
  /info:
    get:
      tags:
        - default
      summary: Get info about crypto exchange
      parameters:
        - description: Company ID
          name: companyId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - pairs
                properties:
                  pairs:
                    description: List of available pairs to trade with selected contract
                    type: object
                    patternProperties:
                      ^[a-zA-Z0-9]{1,16}\/[a-zA-Z0-9]{1,16}$:
                        type: object
                        additionalProperties: false
                        required:
                          - ask
                          - bid
                          - maxdbc
                          - maxdqc
                          - orders
                        properties:
                          ask:
                            type: string
                            minLength: 1
                            maxLength: 36
                            examples:
                              - '42'
                              - '4.2'
                              - '4.20'
                            description: >-
                              Current ask price. Used when BUYING. Always
                              greater than bid price. Cannot be zero
                          bid:
                            type: string
                            minLength: 1
                            maxLength: 36
                            examples:
                              - '42'
                              - '4.2'
                              - '4.20'
                            description: >-
                              Current bid price. Used when SELLING. Always less
                              than ask price. Cannot be zero
                          maxdbc:
                            description: >-
                              Maximum decimals for BASE currency. Used for
                              rounding purposes
                            type: number
                            format: integer
                            minimum: 0
                            maximum: 16
                          maxdqc:
                            description: >-
                              Maximum decimals for QUOTE currency. Used for
                              rounding purposes
                            type: number
                            format: integer
                            minimum: 0
                            maximum: 16
                          orders:
                            description: Order configuration
                            type: object
                            additionalProperties: false
                            required:
                              - market
                              - limit
                            properties:
                              market:
                                description: Market order configuration
                                type: object
                                additionalProperties: false
                                required:
                                  - mode
                                  - minvbc
                                  - minvqc
                                properties:
                                  mode:
                                    description: >-
                                      Trading mode. Used to determine if order
                                      can be placed or in which conditions
                                    type: string
                                    enum:
                                      - enabled
                                      - disabled
                                  minvbc:
                                    type: string
                                    minLength: 1
                                    maxLength: 36
                                    examples:
                                      - '42'
                                      - '4.2'
                                      - '4.20'
                                    description: >-
                                      Minimum volume in BASE currency. Used when
                                      SELLING. Cannot be zero
                                  minvqc:
                                    type: string
                                    minLength: 1
                                    maxLength: 36
                                    examples:
                                      - '42'
                                      - '4.2'
                                      - '4.20'
                                    description: >-
                                      Minimum volume in QUOTE currency. Used
                                      when BUYING. Cannot be zero
                              limit:
                                description: Limit order configuration
                                type: object
                                additionalProperties: false
                                required:
                                  - mode
                                  - minvbc
                                  - minvqc
                                properties:
                                  mode:
                                    description: >-
                                      Trading mode. Used to determine if order
                                      can be placed or in which conditions
                                    type: string
                                    enum:
                                      - enabled
                                      - disabled
                                  minvbc:
                                    type: string
                                    minLength: 1
                                    maxLength: 36
                                    examples:
                                      - '42'
                                      - '4.2'
                                      - '4.20'
                                    description: >-
                                      Minimum volume in BASE currency. Used when
                                      SELLING. Cannot be zero
                                  minvqc:
                                    type: string
                                    minLength: 1
                                    maxLength: 36
                                    examples:
                                      - '42'
                                      - '4.2'
                                      - '4.20'
                                    description: >-
                                      Minimum volume in QUOTE currency. Used
                                      when BUYING. Cannot be zero
              examples:
                standard:
                  value:
                    pairs:
                      USDT/EUR:
                        ask: '0.9228'
                        bid: '0.9227'
                        maxdbc: 8
                        maxdqc: 4
                        orders:
                          market:
                            mode: enabled
                            minvbc: '10'
                            minvqc: '10'
                          limit:
                            mode: disabled
                            minvbc: '10'
                            minvqc: '10'
                empty:
                  value:
                    pairs: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                oneOf:
                  - description: Invalid data
                    type: object
                    additionalProperties: false
                    required:
                      - code
                      - criteria
                      - reason
                    properties:
                      code:
                        type: string
                        enum:
                          - INVALID_DATA
                      criteria:
                        type: string
                        enum:
                          - path_params
                          - query_params
                          - body
                          - headers
                      reason:
                        type:
                          - string
                          - 'null'
                        examples:
                          - null
                  - description: Profile contract not selected
                    type: object
                    additionalProperties: false
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - PROFILE_CONTRACT_NOT_SELECTED
                  - description: Profile contract not acceptable
                    type: object
                    additionalProperties: false
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - PROFILE_CONTRACT_NOT_ACCEPTABLE
                examples:
                  - see Schema for possible responses
        '404':
          description: Not found
          content:
            application/json:
              schema:
                oneOf:
                  - description: Profile not found
                    type: object
                    additionalProperties: false
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - PROFILE_NOT_FOUND
                examples:
                  - see Schema for possible responses
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````